.header {
    padding-top: 24px;
    padding-bottom: 24px;
    position: fixed;
    z-index: 100;
    width: 100%;
    top: 0;
    left: 0;
}

.header--bg {
    background-color: $bg_color_header;
    transition-property: background-color;
    transition-timing-function: ease;
    transition-delay: 0.3s,
}

.header-nav {
    position: relative;
    @include posFlexEl(space-between, center);
}

.header-nav__menu {
    gap: 20px;

    @media (max-width:320px),
    (min-width:320px) {
        & {
            display: none;
            justify-content: center;
            align-items: flex-start;
            flex-direction: column;
            position: absolute;
            width: 220px;
            padding: 20px;
            top: 56px;
            right: 0;
            border-radius: 40px;
            background-color: rgba(227, 227, 227, 0.7);

        }
    }

    @media(min-width:1200px) {
        & {
            @include posFlexEl();
            flex-direction: row;
            position: relative;
            width: unset;
            padding: unset;
            top: unset;
            background-color: unset;

        }
    }
}

.header-nav__menu--active {

    @media (max-width:320px),
    (min-width:320px) {
        & {
            display: flex;
        }
    }
}


.header-nav__link {
    padding: 10px 16px;
    border: 1px solid $c_header;
    border-radius: 20px;
    @include posFlexEl();
    gap: 12px;


    @media(max-width:320px), (min-width: 320px) {
        & {
            border-color: #374957;
        }
    }

    @media (min-width:1200px) {
        & {
            border-color: white;
        }
    }

    &-name {
        color: $c_header;
        font-family: $font_family_first;
        @include fontSize(16px, 700, 22px);

        @media(max-width:320px), (min-width: 320px) {
            & {
                color: #374957;
            }
        }

        @media (min-width:1200px) {
            & {
                color: white;
            }
        }

    }
}


.header-nav__link-logo {
    @media(max-width:320px), (min-width: 320px) {
        & path {
            fill: #374957;
        }
    }

    @media (min-width:1200px) {
        & path {
            fill: white;
        }
    }
}

.header-nav__burg-btn {
    @include posFlexEl();
    width: 56px;
    height: 56px;
    border: 2px solid #FFFFFF;
    border-radius: 20px;



    @media(max-width:320px), (min-width: 320px) {
        & {
            display: flex;
        }
    }

    @media (min-width:1200px) {
        & {
            display: none;
        }
    }
}

.header-nav__burg-btn--close {
    position: relative;

    &::before,
    &::after {
        content: '';
        position: absolute;
        width: 36px;
        height: 3px;
        top: 25px;
        left: 8px;
        background-color: white;
    }

    &::before {
        transform: rotate(45deg);
    }

    &::after {
        transform: rotate(-45deg);
    }
}

.header-nav__burg-icon--none {
    visibility: hidden;
}